org.python.core.adapter

## Class ClassAdapter

- java.lang.Object
- - org.python.core.adapter.ClassAdapter

All Implemented Interfaces:
  PyObjectAdapter

    public abstract class ClassAdapter
    extends java.lang.Object
    implements PyObjectAdapter

### Constructor Summary

Constructors
Constructor and Description
`ClassAdapter(java.lang.Class adaptedClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canAdapt(java.lang.Object o)` Returns true if o can be adapted by this adapter.
`java.lang.Class` `getAdaptedClass()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.python.core.adapter.PyObjectAdapter

`adapt`

### Constructor Detail

#### ClassAdapter

    public ClassAdapter(java.lang.Class adaptedClass)

### Method Detail

#### getAdaptedClass

    public java.lang.Class getAdaptedClass()

#### canAdapt

    public boolean canAdapt(java.lang.Object o)

Description copied from interface: `PyObjectAdapter`
Returns true if o can be adapted by this adapter.

Specified by:
  `canAdapt` in interface `PyObjectAdapter`